package com.alibaba.druid.sql.dialect.mariadb.ast.statement;

import com.alibaba.druid.sql.ast.SQLObjectImpl;
import com.alibaba.druid.sql.ast.statement.SQLAlterTableItem;
import com.alibaba.druid.sql.dialect.mariadb.ast.MariadbObject;
import com.alibaba.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class MariadbAlterTableAddExtPartition extends SQLObjectImpl implements SQLAlterTableItem, MariadbObject {
   private MariadbExtPartition extPartition;

   public void accept0(MariadbASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }

   public void setExPartition(MariadbExtPartition x) {
      if (x != null) {
         x.setParent(this);
      }

      this.extPartition = x;
   }

   public MariadbExtPartition getExtPartition() {
      return this.extPartition;
   }

   protected void accept0(SQLASTVisitor v) {
   }
}
